#ifndef OBJECTNODE_HPP_INCLUDED
#define OBJECTNODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/Object.hpp"

namespace Internal
{
    class ObjectNode : public Node
    {
        public:
            ObjectNode(const void* Obj);

            ObjectNode() = default;
            ObjectNode(ObjectNode&& Obj) = default;
            ObjectNode(const ObjectNode& Obj) = default;
            ObjectNode& operator=(ObjectNode&& Obj) = default;
            ObjectNode& operator=(const ObjectNode& Obj) = default;

            static Class GetClass();

            Object GetObject() const;
    };
}

#endif // OBJECTNODE_HPP_INCLUDED
